WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Classes | Functions
WLAN API

## Classes
struct | winstd::WlanFreeMemory_delete< _Ty >
| Deleter for unique_ptr using WlanFreeMemory. More...
struct | winstd::WlanFreeMemory_delete< _Ty[]>
| Deleter for unique_ptr to array of unknown size using WlanFreeMemory. More...
class | winstd::wlan_handle
| WLAN handle wrapper. More...

## Functions
template<class _Traits , class _Ax >
static DWORD | WlanReasonCodeToString (DWORD dwReasonCode, std::basic_string< wchar_t, _Traits, _Ax > &sValue, __reserved PVOID pReserved)
| Retrieves a string that describes a specified reason code and stores it in a std::wstring string.
static DWORD | WlanOpenHandle (DWORD dwClientVersion, PVOID pReserved, PDWORD pdwNegotiatedVersion, winstd::wlan_handle &handle)
| Opens a connection to the server.

## Detailed Description

## Function Documentation

## ◆ WlanOpenHandle()

static DWORD WlanOpenHandle | ( | DWORD | dwClientVersion,
|  | PVOID | pReserved,
|  | PDWORD | pdwNegotiatedVersion,
|  | winstd::wlan_handle & | handle )
| static

Opens a connection to the server.

See also
  WlanOpenHandle function

## ◆ WlanReasonCodeToString()

template<class _Traits , class _Ax >

static DWORD WlanReasonCodeToString | ( | DWORD | dwReasonCode,
|  | std::basic_string< wchar_t, _Traits, _Ax > & | sValue,
|  | __reserved PVOID | pReserved )
| static

Retrieves a string that describes a specified reason code and stores it in a std::wstring string.

See also
  WlanReasonCodeToString function

Note
  Since Wlanapi.dll is not always present, the `pfnWlanReasonCodeToString` pointer to `WlanReasonCodeToString()` function must be loaded dynamically.